<h1>Způsob platby</h1>
<?php
include_once('i_menu.phtml');
?>
<table class="admintable">
    <thead>
    <td style="width: 24px;">
        <a href='<?= $this->url() . "?order=product_id" ?>'>
            <div class="full active"><?= ($this->order == 'product_id') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>id</div>
        </a>
    </td>   
    <td style="width: 180px;">
        <a href='<?= $this->url() . "?order=title" ?>'>
            <div class="full active"><?= ($this->order == 'title') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>název zboží</div>
        </a>
    </td>
    <td>
        text ke zboží
    </td> 
    <td>
        cena v kč
    </td> 
    <td>
        cena v €
    </td> 
    <td>
        cena v %
    </td> 
    <td></td>
</thead>
<tbody>
    <?php
    foreach ($this->payments as $value) {
        $color = 'dark';
        if ($value['public'] == '0') {
            $color = 'red';
        } else if (($value['public'] == '1') and ( $color == 'dark')) {
            $color = 'light';
        } else if (($value['public'] == '1') and ( $color == 'light')) {
            $color = 'dark';
        } else {
            $color = 'light';
        }
        echo "<tr>";
        echo "<td class='$color'>";
        echo $value['payment_id'];        
        echo "<td class='$color style='width: 100px'>";
        echo "<a href='/admin/shipping/paymentsedit/?payment_id=" . $value['payment_id'] . "' style='text-decoration: underline;'>" . $value['title_cz'] . "</a>";
        echo "</td>";
        echo "<td class='$color smalltext'>";
        echo mb_substr(strip_tags($value['text_cz']), 0, 120, 'utf-8');
        echo "</td>";
        echo "<td class='$color'>";
        echo (empty($value['price_cz'])) ? "-" : $value['price_cz']." kč";
        echo "</td>";
        echo "<td class='$color'>";
        echo (empty($value['price_de'])) ? "-" : $value['price_de']." €";
        echo "</td>";
        echo "<td class='$color'>";
        echo (empty($value['price_percent'])) ? "&nbsp;" : $value['price_percent']." %";
        echo "</td>";
        echo "<td class='$color'><a href='/admin/shipping/paymentsedit/?payment_id=" . $value['payment_id'] . "'>[upravit]</a></td>";
        //echo "<td class='$color'><a href='/admin/shipping/delete/?shipping_id=" . $value['shipping_id'] . "' onclick=\"return confirm('Chcete skutečně smazat tento produkt?')\">[smazat]</a></td>";
        echo "</tr>";
    }
    ?>
</tbody>
</table>
<h2 style="margin-top: 15px">Přidat nový typ platby</h2>
<?= $this->form; ?>